# Get profile

Fetches a profile.

```http
GET https://api.pozy.ai/v1/profiles/{profileId}
```

- Area: Accounts & connections / Profiles
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `profileId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/profiles/6a0b6573846efc28aaa9a3ff" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/profiles/6a0b6573846efc28aaa9a3ff", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/profiles/6a0b6573846efc28aaa9a3ff",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `profile`, object
  - `_id`, string
  - `userId`, string
  - `name`, string
  - `description`, string
  - `color`, string
  - `timezone`, string: Can be null
  - `externalId`, string: Can be null
  - `isDefault`, boolean
  - `isOverLimit`, boolean
  - `accountCount`, integer
  - `createdAt`, string (date-time)

```json
{
  "profile": {
    "_id": "635d87e261ae344ef27fd1df",
    "userId": "6da95b9455a22c1e061837af",
    "name": "Acme",
    "description": "A short description",
    "color": "string",
    "timezone": "America/New_York",
    "externalId": "62c9d6bdf3fa891362623a67",
    "isDefault": true,
    "isOverLimit": true,
    "accountCount": 42,
    "createdAt": "2026-10-02T09:00:00.000Z"
  }
}
```
